> ## Documentation Index
> Fetch the complete documentation index at: https://developers.chatwoot.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Conversation Details

> Get all details regarding a conversation with all messages in the conversation



## OpenAPI

````yaml https://raw.githubusercontent.com/chatwoot/chatwoot/develop/swagger/tag_groups/application_swagger.json get /api/v1/accounts/{account_id}/conversations/{conversation_id}
openapi: 3.1.0
info:
  title: Chatwoot
  description: This is the API documentation for Chatwoot server.
  version: 1.1.0
  termsOfService: https://www.chatwoot.com/terms-of-service/
  contact:
    email: hello@chatwoot.com
  license:
    name: MIT License
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://app.chatwoot.com/
security: []
tags:
  - name: Account AgentBots
    description: Account-specific Agent Bots
  - name: Agents
    description: Agent management APIs
  - name: Canned Responses
    description: Pre-defined responses for common queries
  - name: Contacts
    description: Contact management APIs
  - name: Contact Labels
    description: Manage contact labels
  - name: Conversation Assignments
    description: Manage conversation assignments
  - name: Conversation Labels
    description: Manage conversation labels
  - name: Conversations
    description: Conversation management APIs
  - name: Custom Attributes
    description: Custom fields for contacts and conversations
  - name: Custom Filters
    description: Saved filters for conversations
  - name: Inboxes
    description: Communication channels setup
  - name: Integrations
    description: Third-party integrations
  - name: Labels
    description: Account label management APIs
  - name: Messages
    description: Message management APIs
  - name: Profile
    description: User profile APIs
  - name: Reports
    description: Analytics and reporting APIs
  - name: Teams
    description: Team management APIs
  - name: Webhooks
    description: Event notification webhooks
  - name: Automation Rule
    description: Workflow automation rules
  - name: Help Center
    description: Knowledge base management
paths:
  /api/v1/accounts/{account_id}/conversations/{conversation_id}:
    parameters:
      - $ref: '#/components/parameters/account_id'
      - $ref: '#/components/parameters/conversation_id'
    get:
      tags:
        - Conversations
      summary: Conversation Details
      description: >-
        Get all details regarding a conversation with all messages in the
        conversation
      operationId: get-details-of-a-conversation
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/conversation_show'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
        '404':
          description: Conversation not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/bad_request_error'
      security:
        - userApiKey: []
components:
  parameters:
    account_id:
      in: path
      name: account_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the account
    conversation_id:
      in: path
      name: conversation_id
      schema:
        type: integer
      required: true
      description: The numeric ID of the conversation
  schemas:
    conversation_show:
      type: object
      allOf:
        - $ref: '#/components/schemas/conversation'
        - type: object
          properties:
            meta:
              type: object
              properties:
                sender:
                  type: object
                  properties:
                    additional_attributes:
                      type: object
                      description: The additional attributes of the sender
                    availability_status:
                      type: string
                      description: The availability status of the sender
                    email:
                      type:
                        - string
                        - 'null'
                      description: The email of the sender
                    id:
                      type: number
                      description: ID fo the sender
                    name:
                      type: string
                      description: The name of the sender
                    phone_number:
                      type:
                        - string
                        - 'null'
                      description: The phone number of the sender
                    blocked:
                      type: boolean
                      description: Whether the sender is blocked
                    identifier:
                      type:
                        - string
                        - 'null'
                      description: The identifier of the sender
                    thumbnail:
                      type:
                        - string
                        - 'null'
                      description: Avatar URL of the contact
                    custom_attributes:
                      type: object
                      description: The custom attributes of the sender
                    last_activity_at:
                      type: number
                      description: The last activity at of the sender
                    created_at:
                      type: number
                      description: The created at of the sender
                channel:
                  type: string
                  description: Channel Type
                assignee:
                  $ref: '#/components/schemas/user'
                hmac_verified:
                  type: boolean
                  description: Whether the hmac is verified
    bad_request_error:
      title: data
      type: object
      properties:
        description:
          type: string
        errors:
          type: array
          items:
            $ref: '#/components/schemas/request_error'
    conversation:
      type: object
      properties:
        id:
          type: number
          description: ID of the conversation
        messages:
          type: array
          items:
            $ref: '#/components/schemas/message'
        account_id:
          type: number
          description: Account Id
        uuid:
          type: string
          description: UUID of the conversation
        additional_attributes:
          type: object
          description: >-
            The object containing additional attributes related to the
            conversation
        agent_last_seen_at:
          type: number
          description: The last activity at of the agent
        assignee_last_seen_at:
          type: number
          description: The last activity at of the assignee
        can_reply:
          type: boolean
          description: Whether the conversation can be replied to
        contact_last_seen_at:
          type: number
          description: The last activity at of the contact
        custom_attributes:
          type: object
          description: >-
            The object to save custom attributes for conversation, accepts
            custom attributes key and value
        inbox_id:
          type: number
          description: ID of the inbox
        labels:
          type: array
          items:
            type: string
          description: The labels of the conversation
        muted:
          type: boolean
          description: Whether the conversation is muted
        snoozed_until:
          type:
            - number
            - 'null'
          description: The time at which the conversation will be unmuted
        status:
          type: string
          enum:
            - open
            - resolved
            - pending
          description: The status of the conversation
        created_at:
          type: number
          description: The time at which conversation was created
        updated_at:
          type: number
          description: The time at which conversation was updated
        timestamp:
          type: number
          description: The time at which conversation was created
        first_reply_created_at:
          type:
            - number
            - 'null'
          description: The time at which the first reply was created
        unread_count:
          type: number
          description: The number of unread messages
        last_non_activity_message:
          oneOf:
            - $ref: '#/components/schemas/message'
            - type: 'null'
          description: The last non activity message
        last_activity_at:
          type: number
          description: The last activity at of the conversation
        priority:
          type:
            - string
            - 'null'
          description: The priority of the conversation
        waiting_since:
          type:
            - number
            - 'null'
          description: The time at which the conversation was waiting
        sla_policy_id:
          type:
            - number
            - 'null'
          description: The ID of the SLA policy
        applied_sla:
          type: object
          description: The applied SLA
        sla_events:
          type: array
          items:
            type: object
            description: SLA event objects
    user:
      type: object
      properties:
        id:
          type: number
        access_token:
          type: string
        account_id:
          type: number
        available_name:
          type: string
        avatar_url:
          type: string
        confirmed:
          type: boolean
        display_name:
          type:
            - string
            - 'null'
        message_signature:
          type:
            - string
            - 'null'
        email:
          type: string
        hmac_identifier:
          type: string
        inviter_id:
          type:
            - number
            - 'null'
        name:
          type: string
        provider:
          type: string
        pubsub_token:
          type: string
        role:
          type: string
          enum:
            - agent
            - administrator
        ui_settings:
          type: object
        uid:
          type: string
        type:
          type:
            - string
            - 'null'
        custom_attributes:
          type: object
          description: >-
            Available for users who are created through platform APIs and has
            custom attributes associated.
        accounts:
          type: array
          items:
            type: object
            properties:
              id:
                type: number
              name:
                type: string
              status:
                type: string
              active_at:
                type:
                  - string
                  - 'null'
                format: date-time
              role:
                type: string
                enum:
                  - administrator
                  - agent
              permissions:
                type: array
                items:
                  type: string
              availability:
                type: string
              availability_status:
                type: string
              auto_offline:
                type: boolean
              custom_role_id:
                type:
                  - number
                  - 'null'
              custom_role:
                type:
                  - object
                  - 'null'
    request_error:
      type: object
      properties:
        field:
          type: string
        message:
          type: string
        code:
          type: string
    message:
      type: object
      properties:
        id:
          type: number
          description: The ID of the message
        content:
          type: string
          description: The text content of the message
        account_id:
          type: number
          description: The ID of the account
        inbox_id:
          type: number
          description: The ID of the inbox
        conversation_id:
          type: number
          description: The ID of the conversation
        message_type:
          type: integer
          enum:
            - 0
            - 1
            - 2
            - 3
          description: The type of the message
        created_at:
          type: integer
          description: The time at which message was created
        updated_at:
          type:
            - integer
            - string
          description: The time at which message was updated
        private:
          type: boolean
          description: The flags which shows whether the message is private or not
        status:
          type:
            - string
            - 'null'
          enum:
            - sent
            - delivered
            - read
            - failed
            - null
          description: The status of the message
        source_id:
          type:
            - string
            - 'null'
          description: The source ID of the message
        content_type:
          type:
            - string
            - 'null'
          enum:
            - text
            - input_text
            - input_textarea
            - input_email
            - input_select
            - cards
            - form
            - article
            - incoming_email
            - input_csat
            - integrations
            - sticker
            - voice_call
            - null
          description: The type of the template message
        content_attributes:
          type: object
          description: The content attributes for each content_type
        sender_type:
          type:
            - string
            - 'null'
          enum:
            - Contact
            - User
            - AgentBot
            - Captain::Assistant
            - null
          description: The type of the sender
        sender_id:
          type:
            - number
            - 'null'
          description: The ID of the sender
        external_source_ids:
          type: object
          description: The external source IDs of the message
        additional_attributes:
          type: object
          description: The additional attributes of the message
        processed_message_content:
          type:
            - string
            - 'null'
          description: The processed message content
        sentiment:
          type:
            - object
            - 'null'
          description: The sentiment of the message
        conversation:
          type:
            - object
            - 'null'
          description: The conversation object
        attachment:
          type:
            - object
            - 'null'
          description: The file object attached to the image
        sender:
          type: object
          description: User/Agent/AgentBot object
  securitySchemes:
    userApiKey:
      type: apiKey
      in: header
      name: api_access_token
      description: >-
        This token can be obtained by visiting the profile page or via rails
        console. Provides access to  endpoints based on the user permissions
        levels. This token can be saved by an external system when user is
        created via API, to perform activities on behalf of the user.

````